Bug 908869 - [pt_BR][ta_IN] pofilter options test failed for subscription-manager 1.8.X
[pt_BR][ta_IN] pofilter options test failed for subscription-manager 1.8.X
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: candlepin-bugs
IDM QE LIST
: i18n, Translation
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-02-07 12:37 EST by John Sefler
Modified: 2014-06-17 20:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 06:01:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2013-02-07 12:37:52 EST
Description of problem:

# (pofilter) options: Missing or translated option '--available'
msgid "date to search on, defaults to today's date, only used with --available (example: %s)"
msgstr "data a buscar, padrão é o dia de hoje, usad com o --disponível (exemplo: %s)"

THE "--available" SUBSTRING IN msgid SHOULD BE LEFT UNTRANSLATED IN msgstr.


Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.8.1-1.git.9.f23e0b0.el7.x86_64
https://translate.zanata.org/zanata/iteration/view/subscription-manager/1.8.X
Comment 1 John Sefler 2013-02-07 12:42:36 EST
These tests are also failing on langugae ta_IN...

# (pofilter) options: Missing or translated option '--pool'
msgid "Error: Only one of --pool or --auto may be used with this command."
msgstr "பிழை: -pool அல்லது --auto ஒன்றை மட்டும் இந்த கட்டளையுடன் பயன்படுத்தப்படலாம்."

# (pofilter) options: Missing or translated option '--pool'
msgid "Error: This command requires that you specify a pool with --pool or use --auto."
msgstr "பிழை: இந்த கட்டளையானது உங்களை ஒரு பூலுடன் -pool அல்லது --auto ஐ பயன்படுத்துவதை குறிப்பிட கோருகிறது."


THESE msgstr TRANSLATIONS NEED ANOTHER HYPHEN IN "--pool".
Comment 2 Shantha kumar 2013-02-08 00:57:29 EST
Errors fixed for ta-IN
Comment 3 Adrian Likins 2013-03-25 17:34:55 EDT
commit 008c5cb336b141f300d647d6c71750b2cd15e066
Author: Adrian Likins <alikins@redhat.com>
Date:   Mon Mar 25 15:03:16 2013 -0400

    921126: latest string updates from zanata
    
    921126,911779,911776,911772,911764,911762,911759,
    911757,908886,908879,908869,908866,908521,908511,
    908488,908434,908108,908059,908037,906967,906552,
    842784
Comment 4 John Sefler 2013-03-27 13:48:36 EDT
Not yet fixed for LANG=pt_BR

Moving back to ASSIGNED/FailedQA
Comment 5 Bryan Kearney 2013-04-19 13:31:35 EDT
[bkearney@bkearney subscription-manager]$ pofilter --gnome  options -i po/pt_BR.po 
processing 1 files...
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome  options -i po/ta_IN.po.po 
processing 1 files...

pofilter: warning: Error processing: input po/ta_IN.po.po, output options, template None: [Errno 2] No such file or directory: 'po/ta_IN.po.po'
[###########################################] 100%
[bkearney@bkearney subscription-manager]$ pofilter --gnome  options -i po/ta_IN.po
processing 1 files...
[###########################################] 100%



Fixed in 1.8.6
Comment 6 Bryan Kearney 2013-04-19 14:04:23 EDT
still an issue in pt_BR

[bkearney@bkearney po]$ pofilter --gnome -t options -i pt_BR.po 
processing 1 files...
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2013-04-18 12:03-0300\n"
"PO-Revision-Date: 2013-03-27 12:26-0400\n"
"Last-Translator: gcintra <gcintra@fedoraproject.org>\n"
"Language-Team: Portuguese (Brazil)\n"
"Language: pt-BR\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1)\n"
"X-Generator: Zanata 2.2.2\n"

# translation auto-copied from project Subscription Manager, version 0.97.X,
# document keys, author gcintra
# (pofilter) options: Missing or translated option '--available'
#: ../src/subscription_manager/managercli.py:1980
#, python-format
msgid ""
"date to search on, defaults to today's date, only used with --available "
"(example: %s)"
msgstr ""
"data a buscar, padrão é o dia de hoje, usad com o --disponível (exemplo: %s)"
[###########################################] 100%
Comment 7 Bryan Kearney 2014-01-31 10:32:01 EST
pt_Br fixed in commit f049792d3b96ce6d29d87da193ceecdbdd83d093
Author: Bryan Kearney <bkearney@redhat.com>
Date:   Fri Jan 31 10:31:18 2014 -0500

    908869: Fix the mis-transated options in pt-BR


Also fixed in source zanata.
Comment 10 Ludek Smid 2014-06-13 06:01:31 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.